Visualizza post

Questa sezione ti permette di visualizzare tutti i post inviati da questo utente. N.B: puoi vedere solo i post relativi alle aree dove hai l'accesso.


Post - [ant]

Pagine: [1] 2
1
Joomla! 1.5 / Joomfish: langpack in italiano del 2008?
« il: 03 Apr 2012, 13:42:13 »
Salve a tutti,
ho appena aggiornato Joom!Fish alla versione 2.2.3.
Già che c'ero ho controllato anche il pacchetto di lingua italiano, sul sito ufficiale di Joom!Fish. Ho trovato il pacchetto Joomfish Italian in questa pagina: http://www.joomfish.net/en/downloads/club-downloads/39-joomfish-translations (versione 2.0.3). Ma mi pare sia intatto da settembre 2008!
E infatti ci sono diverse frasi non tradotte ora nel pannello di Joomfish... Qualcuno ha notizie di cosa è successo? Le traduzioni si sono fermate al 2008?
Grazie.

2
Ok, frascan. Grazie di nuovo per la risposta esauriente ;)

la vedo molto difficile come risposta anche perchè una risposta ufficiale al tuo quesito al momento non c'è o almeno non l'ho trovata.

Già sapere che su questo oggi non si può avere una risposta certa... è un'ottima risposta!

E poi, riflettendoci, penso che il problema sia quasi solo formale: in fin dei conti, come dici tu, una migrazione importante andrà comunque fatta, da 1.5 a 1.6/1.7 o da 1.5 a 1.8/2.5.

Stando così le cose e mancando per ora una risposta ufficiale, possiamo presumere cosa accadrà sulla base di quanto avvenuto finora: personalmente credo proprio che alla fine avremo un ottimo tool di migrazione da 1.5 a 2.5 realizzato dal Team di sviluppo.

In conclusione, io lascio tutti i siti "in produzione" alla versione 1.5 ;)

Grazie ancora a tutti per i chiarimenti.

3
Guarda, apprezzo sempre molto chiunque mette a disposizione un po' del suo tempo per rispondere alle mie e altrui domande su un forum... Però stavolta proprio non capisco... Sono io che non riesco a spiegarmi?!

Io vorrei sapere se si potrà passare dalla versione 1.5 direttamente alla 1.8, proprio come poi avverrà per le prossime release LTS.

Mettiamo che fossimo già alla 2.5 e che questa fosse una versione Long Term Support; secondo il nuovo ciclo di rilasci, si dovrebbe poter aggiornare dalla 2.5 alla 2.8 in un solo "passaggio". Ovviamente sarebbe anche possibile, per chi lo vuole, passare di volta in volta all'ultima "minor release", quindi da 2.5 a 2.6, da 2.6 a 2.7 e da quest'ultima infine alla 2.8. Se non ho capito male, questo è quanto avverrà d'ora in poi.

Ora però abbiamo la 1.5, uscita quando ancora questo ciclo di rilasci non era previsto. Poiché il passaggio dalla 1.5 alla 1.6 è un vero e proprio "salto" che:  a) sarà tale solo stavolta;  b) prevede infatti un componente di migrazione e  c) è già oggi un passaggio obbligato per arrivare alla 1.7, mi è venuto il dubbio che non fosse possibile in futuro aggiornare da 1.5 a 1.8.

Ti ringrazio ancora per il tuo aiuto, ma il mio dubbio è sempre questo: potrò aggiornare da 1.5 a 1.8, senza passare per le altre versioni? La risposta che io mi darei è: al 99% sì. Perché a gennaio, insieme alla nuova 1.8, uscirà anche il componente ufficiale per migrare da 1.5.

Speravo solo che qualcuno avesse potuto darmi una risposta definitiva e magari documentata dalla roadmap ufficiale  ;)

4
Ti ringrazio per il contributo, ma la mia domanda era un'altra.
Aggiorno i miei siti in Joomla 1.5 solo per ragioni di sicurezza o al limite se proprio non trovo quell'estensione che vorrei e che richiede il passaggio ad un'altra "macro-release". Gli aggiornamenti interni alla serie (es.: da 1.5.22 a 1.5.23) invece li faccio sempre tutti.

Ma, di nuovo, la mia domanda non era: "quando è bene aggiornare?". La mia domanda fondamentalmente è: esisterà un componente ufficiale per la migrazione da 1.5 a 1.8 (o 2.5, se sarà questa)?

Se è previsto lo sviluppo di questo componente ufficiale che mi permetterà di non passare per la "migrazione" (di fatto, questa è) da 1.5 a 1.6 e poi per l'upgrade da 1.6 a 1.8, allora oggi non ho motivo alcuno di abbandonare la 1.5. Aspetterò in pace la 1.8.

Tutto qui  ;)

5
Ok, grazie lo stesso. Mi hai dato comunque delle indicazioni utili!  ;)

Ora non ricordo i passaggi fatti per portare quell'unico sito da 1.5 a 1.6, ma ricordo che somigliava molto più ad una migrazione che non ad un semplice aggiornamento. Quel sito è ora alla versione 1.7 perché l'upgrade da 1.6 è stato facilissimo!

Stando così le cose, in ogni caso si tratterà, presto o tardi, di migrare i siti che richiedono un aggiornamento (escluderò ovviamente quelli che andranno ancora benissimo con la 1.5). Detto questo ne deduco che conviene aspettare: nel peggiore dei casi, ovvero non viene rilasciato nessun componente ufficiale per migrare dalla 1.5 all'ultima LTS, dovrò prima passare per la 1.6 e poi, velocemente per fortuna, alle altre intermedie.

Staremo a vedere ;)

6
Ciao frascan e grazie per la risposta.

La penso proprio come te e non avrei nessuna intenzione di aggiornare continuamente all'ultima versione. Per di più si tratta in tutti i casi di siti che non richiedono aggiornamenti se non per motivi di sicurezza.
Inoltre uno dei siti che gestisco è fermo all'ultima versione della serie 1.0 e non ha bisogno di nessun aggiornamento.

La mia domanda però non era del tipo: "devo correrre appresso a tutti gli aggiornamenti?". La domanda era:

Pensate sarà comunque richiesto passare almeno alla 1.6 oppure, quando ovviamente uscirà la 1.8, sarà possibile aggiornare fino a questa versione partendo dalla 1.5?

E, visto che me ne hai dato l'occasione, provo a spiegarmi meglio: è la prima volta che gli sviluppatori di Joomla cambiano il ciclo di rilascio delle versioni (tralascio ovviamente il passaggio da Mambo a Joomla)... Ho capito come intendono procedere ora, ma mi chiedo (e chiedo qui nel forum a chi ne sa più di me): poiché la 1.6 è un vero e proprio salto rispetto alla 1.5, ma non è considerata una versione LTS, sarà comunque prevista la possibiltà di aggiornare (migrare?) direttamente da 1.5 a 1.8? E' previsto lo sviluppo di un componente ufficiale per questo primo "macro-upgrade" o conviene portarsi almeno alla versione 1.6?

In futuro - mi pare di aver capito - non ci saranno problemi a passare da una versione LTS alla successiva LTS (o vogliamo chiamarle major release?) senza passare per le versioni intermedie. Anzi, quest'operazione sarà prevista. Ma oggi siamo alla 1.5 e questo ciclo di vita di Joomla è una cosa nuova, non prevista durante lo sviluppo della 1.5.

Be', spero di essermi spiegato meglio stavolta...
Grazie di nuovo per l'attenzione  ;)

7
Salve di nuovo,
è passato del tempo da quando ho posto questa mia domanda, ma ancora non ho avuto nessuna risposta.

Qualcuno sa rispondere? In fondo credo si tratti di un argomento che non interessa solo me.
Grazie ;)

8
Salve a tutti,
spero di aver scelto la sezione più adatta per postare questo topic.

Ho diversi siti in Joomla!, circa 6-7. Per tutti sono ormai arrivato a migrare alla versione 1.5. Per uno solo ho tentato l'aggiornamento (riuscito) alla versione 1.6 e da qui, abbastanza facilmente, alla 1.7. Gli altri sono tutti siti "in produzione" e per il momento non ho alcun motivo per aggiornarli oltre le sottoversioni della serie 1.5.

Con il nuovo ciclo di rilasci, vorrei semplicemente aspettare l'uscita della prossima "macro-release" (possiamo chiamarla così?) per aggiornare. Da quanto ho capito, in futuro sarà possibile aggiornare da macro a macro, oltre che effettuando tutti i passaggi intermedi. Il punto però è che le cose sono cambiate nel frattempo. Pensate sarà comunque richiesto passare almeno alla 1.6 oppure, quando ovviamente uscirà la 1.8, sarà possibile aggiornare fino a questa versione partendo dalla 1.5?

9
Joomla! 1.5 / Re:Modificare paginazione standard di Joomla?
« il: 16 Set 2011, 09:38:22 »
Mmh... Ancora nessuna risposta.
Devo spiegare meglio?

10
In effetti, se il reset a zero non fa al caso tuo, non vedo altre strade oltre all'intervento diretto nel DB.
Comunque se hai phpMyAdmin non è difficile individuare e cambiare il valore per il campo visite di ciascun articolo. Se però si tratta di tanti articoli allora l'intervento manuale è un po' meno proponibile.

Mi spiace, capisco che questa mia risposta non è molto d'aiuto :(

11
Joomla! 1.5 / Modificare paginazione standard di Joomla?
« il: 15 Set 2011, 13:32:58 »
Salve a tutti,
premetto che non sono molto bravo col PHP, ma magari quello che voglio ottenere non è così difficile.

Al momento in un paio di siti basati su Joomla! 1.5 che usano il sistema di paginazione nativo (nessun override nel template), ho impostato così i parametri delle voci di menu di tipo "Categoria / Blog":

Principali: 0
Intro: 5
Colonne: 1
Link: 45

La paginazione standard di Joomla! prevede che la pagina 2 parta dall'articolo numero 6, già linkato in pagina 1 come prima voce nell'elenco dei link. Io invece vorrei che, se gli articoli sono meno di 50, la pagina 2 non esistesse nemmeno. In pratica la pagina 2 dovrebbe partire dall'articolo 51: gli altri sono già stati mostrati nella prima pagina (5 intro + 45 link).

E' possibile apportare questa modifica? Oppure esiste un'estensione che già lo fa?

A dirla tutta, l'ideale sarebbe che dalla pagina 2 in poi gli articoli venissero mostrati solo come link... Ma questo mi sembra assai più complesso da realizzare utilizzando il solo un nuovo file pagination.php.

Grazie per l'attenzione.


12
Salve a tutti,
temo non sia la sezione giusta, ma non ne ho trovate di meglio...

Vorrei realizzare un sito web, ovviamente basato su Joomla! (probabilmente già 1.6), per catalogare il maggior numero possibile di negozi della mia città. Per ciascun negozio/attività inseriti dovrebbe esistere una scheda con alcuni campi standard (indirizzo, telefono, eventuale sito web, eventuale indirizzo email), una descrizione e una mappa di Google Maps.
Insomma, non un'idea particolarmente originale... Un sito-directory in pratica!  ;)

Le estensioni per un sito del genere sono centinaia. Per questo gradirei avere un consiglio da chi magari ha già realizzato qualcosa di simile: ve ne sarei davvero grato!

Ciao e grazie

13
Eccellente questo VM! Grazie per il suggerimento!

Non è molto flessibile, ma risolve molti problemi

Comunque sì hai ragione: mi servirebbe qualcosa di più flessibile e sto dando uno sguardo a questo hack: Converted Custom Attributes Extended Hack 2.1 for VM 1.1 + J1.5

Se qualcuno sa darmi ulteriori suggerimenti al riguardo...

Grazie ancora

14
Salve a tutti,
conosco piuttosto bene Joomla, ma non ho utilizzato molto spesso VirtueMart. So certamente configurarlo per un tipico negozio online che vende qualcosa di "tangibile". Forse saprei anche impostarlo per chi invece deve vendere del software da scaricare (quindi nessuna spedizione).

Ma c'è modo di impostare VM in modo che, durante la vendita, per ogni articolo ne venga richiesta anche la configurazione?

Faccio un esempio: un cliente acquista 3 router, stessa marca e stesso modello. Trattandosi di apparecchiature particolari, si vorrebbe consegnare l'hardware già configurato almeno per certi parametri necessari.
Si può quindi inserire in un qualche punto della procedura di acquisto un form in cui si chiede di impostare questi parametri? Vi viene in mente una qualche soluzione possibile?

15
SEO / Joomla 1.5 con sh404SEF + Xmap: piccolo problemino
« il: 27 Ago 2009, 18:16:01 »
Salve a tutti,

dopo essere letteralmente impazzito per cercare di avere un menu Contatti come volevo con sh404SEF, alla fine ho risolto senza sapere nemmeno bene come.

Ora temo possa toccarmi lo stesso sbattimento per far funzionare sh404SEF con Xmap.
Va bene che è ancora in beta (ultima versione 1.0.20, build 237), ma proprio non capisco come vada configurato.

Problema: ho creato una url SEF in sh404SEF per l'unica sitemap di Xmap del tipo /sitemap.html per una voce di menu "Sitemap". Ho poi riconfigurato sh404SEF in modo tale che saltasse qualunque impostazione per Xmap.
Ora ho la url del link che vedo in basso a destra in FF non-SEF, clicco e vengo portato alla pagina /sitemap.html.

C'è modo di NON far apparire la url non-SEF quando si passa con il mouse sopra alla voce di menu?

PS: ho provato ovviamente anche a "fidarmi" di sh404SEF, ma continuavo a vedere una url SEF del tipo /component/xmap/... Anche così però poi il redirect funzionava.  ???

16
Editor / Re: Traduzione JCE [RISOLTO]
« il: 22 Ott 2008, 10:28:52 »
Allego il nuovo langpack di JCE 1.5, dall'autore della traduzione che ci chiede di controllare.

Lo sottoporrà poi agli amministratori del sito JCE.
Grazie per la collaborazione.

[allegato eliminato da un amministratore - Il file era vecchio]

17
Editor / Re: Traduzione JCE [RISOLTO]
« il: 16 Ott 2008, 11:49:08 »
Io ho trovato delle righe in più nei file in italiano, oltre ad un altro errore. Ma non ricordo nulla...
Fatto sta che ho comunque salvato i file che ho corretto e ho ricreato la struttura delle directory. Ti allego il file.

La struttura originale andava bene: si incarica l'installer di sistemare tutti i file dove serve.
Le righe in più le ho viste anch'io, ma non dovrebbero creare nessun problema.

Poi magari aggiungo la correzione della virgola che hai indicato e quella per sistemare definitivamente il linguaggio.

L'autore mi ha risposto stamattina: entro la fine della settimana invia il pacchetto corretto agli autori di JCE. ;)

PS: l'errore che hai trovato invece, se è un errore sarebbe importante che tu ricordassi qual'era. Così facciamo una correzione unica e globale.

Ciao

18
Editor / Re: Traduzione JCE
« il: 15 Ott 2008, 18:17:54 »
Ora bisognerebbe farlo sapere all'autore.

Fatto anche questo

19
Editor / Re: Traduzione JCE
« il: 15 Ott 2008, 18:09:58 »
Sì, bastava questo... Oltre alla virgola mancante che ho detto prima.

In effetti è un parametro importante.
Per il resto (i file .ini) sembra tutto a posto, anche se un confronto qui è più complicato visto che le voci nei file EN e IT sono su righe diverse.

Ora bisognerebbe farlo sapere all'autore.

20
Editor / Re: Traduzione JCE
« il: 15 Ott 2008, 17:21:37 »
Trovato!  ;)

Dopo aver provato tutto il sito anche in spagnolo (JCE carica la lingua di default del sistema), dopo aver sostituito tutti i caratteri accentati con le relative entità, dopo aver cercato di tutto di più... Alla fine mi sono accorto che il file principale /plugins/editors/jce/tiny_mce/langs/it.js nella prima riga riportava:

Codice: [Seleziona]
tinyMCE.addI18n({en:{
"en", non "it"!
Ho sostituito così:

Codice: [Seleziona]
tinyMCE.addI18n({it:{
Ora mi sembra tutto a posto... Comunque dò una controllata a tutti i file della lingua IT.

Pagine: [1] 2
Host

Torna su